> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Share experiment results

> Create shared request for viewing experiment results without authorization. Learn how to share your results in [this tutorial](../tutorials/retrieving-experiment-results).



## OpenAPI

````yaml /automation.api.json post /experiments/{experimentId}/results/share
openapi: 3.0.3
info:
  title: OpenAPI definition for automation api
  version: 1.0.0
servers:
  - url: https://api.kameleoon.com
security: []
tags:
  - description: >-
      This is an object representing a Kameleoon account.You can retrieve it to
      view its properties, such as its current e-mail address or locale.With
      proper authorization, your application can read and update an account and
      profile settings.<aside class="notice"> Not all settings are exposed via
      the API. See the API reference for details. </aside>
    name: Account
  - description: >-
      Feature flag is used to  help our clients implement new features, test and
      deploy them viaour SDK. This service allows you to create and configure
      the feature flag which will be used in the source code of your feature.
    name: FeatureFlag
  - description: >
      You can use your account to set up multiple websites.This is helpful if
      you want to test your website and its mobile version or if you want to try
      Kameleoon on your site in a pre-production environment,It allows you to
      create different testing environments.
    name: Site
  - description: >-
      Custom data is an advanced tool that lets you target your customers in a
      unique way using data that is already available,such as user account
      information.
    name: CustomData
  - description: >-
      Experiment is an A/B test which can be targeted to a specific audience or
      any other audience. Kameleoon has several types of experiments: `Classic`,
      `Multivariate test (MVT)`, `Server-side` and the one that suits the best
      can be used to achieve the best results.
    name: Experiment
  - description: >-
      To measure the efficiency of an experiment or a personalization, it must
      be linked to one or several goals. All goals can be managed through
      Kameleoon interface or Automation API. There are variety of different
      goals you can choose from to better measure the results.
    name: Goal
  - description: This is an object representing an image
    name: Image
  - description: >-
      This is an object representing a key moment. Please note that `KeyMoment`
      has now been renamed to `Triggers`.
    name: KeyMoment
  - description: >-
      KeyPage allows you to target visitors that have visited a particular page,
      or multiple pages on your website.
    name: KeyPage
  - description: >
      Web personalization tailors the experience for each visitor to improve
      your conversion rate.

      The personalization object contains all vital information about a
      personalization as well as segments and variations used in it.
    name: Personalization
  - description: This is an object representing a projectThemeConfig
    name: ProjectThemeConfig
  - description: This is an object representing recommender block
    name: RecommenderBlock
  - description: >
      Referrer is an advanced tool that allows you to target visitors according
      to acquisition methods that lead them to your website.

      Kameleoon automatically creates 5 default channels: `Bing`, `Baidu`,
      `Google`, `Yahoo` and `Google Adwords`.
    name: Referrer
  - description: >-
      Segmenting allows you to effectively target visitors.You can create,
      modify, and duplicate segments using the Segment Builder tool in
      Kameleoon’s backend or through our Automation API.
    name: Segment
  - description: This is an object representing studio recommender block
    name: StudioRecommenderBlock
  - description: This is an object representing tag
    name: Tag
  - description: >-
      Represents an object aggregating the main information about an experiment
      result.
    name: Takeaway
  - description: This is an object representing a takeaway comment.
    name: TakeawayComment
  - description: >-
      TargetingRule is a system entity that combines segments (user groups) and
      triggers (activation conditions) to define precise targeting rules for
      experiments.
    name: TargetingRule
  - description: This is an object representing a theme
    name: Theme
  - description: >-
      A variation is a modified version of your webpage that can be edited for
      experiments or personalization.

      When you add a new variation, Kameleoon creates a copy of the original
      page from which you started.All changes will be saved in the variation,
      which will include all your edits when the test starts.
    name: Variation
  - description: This is an object representing a widget
    name: Widget
  - description: This is an object representing a widget studio
    name: WidgetStudio
  - description: This is an object representing widget studio template
    name: WidgetStudioTemplate
  - name: Audience
    description: >-
      Audience refers to statistical information regarding the number of visits,
      conversions, and other metrics related to a specific segment. Gaining
      insights into your website's audience is essential for effectively
      adjusting segments.
  - name: Data
    description: >
      Web personalization involves offering visitors a tailored experience to
      optimize your conversion rate.

      Personalization object contains information about a personalization, as
      well as the segments and variations used in it.
  - name: Raw Export
    description: >-
      Start a raw data exportation for experiment or personalization, which will
      be sent to the given emails.
paths:
  /experiments/{experimentId}/results/share:
    post:
      tags:
        - Experiment
      summary: Share experiment results
      description: >-
        Create shared request for viewing experiment results without
        authorization. Learn how to share your results in [this
        tutorial](../tutorials/retrieving-experiment-results).
      operationId: share-experiment-results
      parameters:
        - in: path
          name: experimentId
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataRequestParams'
        required: true
      responses:
        '200':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SharedResultsOutput'
          description: OK
        '400':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Bad Request
        '401':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Unauthorized
        '403':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Forbidden
        '404':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Not Found
        '422':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Unprocessable Entity
        '423':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Locked
        '429':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Too Many Requests
        '500':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    DataRequestParams:
      required:
        - dateIntervals
      type: object
      properties:
        allVariationsData:
          type: boolean
          description: Set to true to include data from all variations at once.
          default: false
        bayesian:
          type: boolean
          description: >-
            Enables the current Bayesian result probability for the experiment
            in the report.
          default: false
        breakdown:
          oneOf:
            - $ref: '#/components/schemas/Breakdown'
            - $ref: '#/components/schemas/ConversionMetadataBreakdownIO'
            - $ref: '#/components/schemas/CrossCampaignBreakdownIO'
            - $ref: '#/components/schemas/CustomDatumBreakdownIO'
            - $ref: '#/components/schemas/IntervalBreakdownIO'
        callbackUrl:
          type: string
          description: Callback URL that you want to send the data response to.
        dateIntervals:
          type: array
          description: >-
            Date boundaries to include only the results from the specified time
            period(s).
          items:
            $ref: '#/components/schemas/DateInterval'
        enabledMultipleTesting:
          type: boolean
          description: ' Enables multiple testing correction for the experiment in the report.'
          default: false
        filters:
          type: array
          description: List of filters to apply to the data included in the report.
          items:
            oneOf:
              - $ref: '#/components/schemas/AdBlockerFilter'
              - $ref: '#/components/schemas/BrowserFilter'
              - $ref: '#/components/schemas/BrowserLanguageFilter'
              - $ref: '#/components/schemas/ContaminatedVisitorFilter'
              - $ref: '#/components/schemas/ConversionMetadataFilter'
              - $ref: '#/components/schemas/ConversionsFilter'
              - $ref: '#/components/schemas/CustomDataFilter'
              - $ref: '#/components/schemas/DayFilter'
              - $ref: '#/components/schemas/DeviceTypeFilter'
              - $ref: '#/components/schemas/ExperimentDataFilter'
              - $ref: '#/components/schemas/FirstReferrerFilter'
              - $ref: '#/components/schemas/KeyPageFilter'
              - $ref: '#/components/schemas/LandingPageURLFilter'
              - $ref: '#/components/schemas/NewVisitorFilter'
              - $ref: '#/components/schemas/NumberPagesFilter'
              - $ref: '#/components/schemas/NumberVisitsFilter'
              - $ref: '#/components/schemas/OperatingSystemFilter'
              - $ref: '#/components/schemas/PageTitleFilter'
              - $ref: '#/components/schemas/PageURLFilter'
              - $ref: '#/components/schemas/PersonalizationDataFilter'
              - $ref: '#/components/schemas/ReferrerURLFilter'
              - $ref: '#/components/schemas/SdkFilter'
              - $ref: '#/components/schemas/SinceLastVisitFilter'
              - $ref: '#/components/schemas/TargetingSegmentFilter'
              - $ref: '#/components/schemas/TemperatureFilter'
              - $ref: '#/components/schemas/TimeSlotFilter'
              - $ref: '#/components/schemas/TimeSpentFilter'
              - $ref: '#/components/schemas/TrafficFilter'
              - $ref: '#/components/schemas/WeatherFilter'
              - $ref: '#/components/schemas/WeekdayFilter'
        goalIdsCuped:
          type: array
          description: |-
            Specifies which CUPED goals to include in the report.
            Use an empty list [] to exclude all CUPED goals.
            Use null to include all CUPED goals.
            Use a list of CUPED goal IDs [123, 456] to include only those goals.
          items:
            type: integer
            description: >-
              Specifies which CUPED goals to include in the report.

              Use an empty list [] to exclude all CUPED goals.

              Use null to include all CUPED goals.

              Use a list of CUPED goal IDs [123, 456] to include only those
              goals.
            format: int64
        goalsIds:
          type: array
          description: |-
            Specifies which goals to include in the report.
            Use an empty list [] to exclude all goals.
            Use null to include all goals.
            Use a list of goal IDs [123, 456] to include only those goals.
          items:
            type: integer
            description: |-
              Specifies which goals to include in the report.
              Use an empty list [] to exclude all goals.
              Use null to include all goals.
              Use a list of goal IDs [123, 456] to include only those goals.
            format: int64
        interval:
          type: string
          description: |-
            Time interval for which data is segmented in the report.
            Deprecated. Use breakdown with IntervalBreakdown type instead.
          deprecated: true
          enum:
            - MINUTE
            - HOUR
            - DAY
            - WEEK
            - MONTH
            - YEAR
        referenceVariationId:
          type: string
          description: >-
            Unique ID of the variation that you want to use as the reference
            variation.
        sequentialTesting:
          type: boolean
          description: ' Enables the sequential testing result for the experiment in the report.'
          default: false
        visitorData:
          type: boolean
          description: >-
            Set to true to only include data from unique visitors. By default,
            the report includes all visitor data.
          default: false
    SharedResultsOutput:
      type: object
      properties:
        headers:
          type: object
          additionalProperties:
            type: string
        method:
          type: string
          enum:
            - GET
            - HEAD
            - POST
            - PUT
            - DELETE
            - CONNECT
            - TRACE
            - OPTIONS
            - PATCH
        path:
          type: string
        payload:
          $ref: '#/components/schemas/DataRequestParams'
        url:
          type: string
    ExternalResponseObject:
      type: object
      properties:
        code:
          type: string
        impersonator:
          type: string
        message:
          type: string
        name:
          type: string
        status:
          type: string
          enum:
            - SUCCESS
            - ERROR
        sub:
          type: string
        time:
          type: integer
          format: int64
        timestamp:
          type: string
          format: date-time
    Breakdown:
      type: object
      properties:
        type:
          type: string
          description: >-
            Type of breakdown. Types CUSTOM_DATUM and CROSS_CAMPAIGN have
            additional fields.
          enum:
            - BROWSER
            - CUSTOM_DATUM
            - DEVICE_TYPE
            - NEW_VISITOR
            - GOAL_REACHED
            - PAGE_URL
            - FIRST_REFERRER
            - ORIGIN_TYPE
            - OS
            - PAGE_TITLE
            - NUMBER_PAGES
            - LANDING_PAGE_URL
            - AD_BLOCKER
            - DAY_OF_WEEK
            - DAYS_OF_WEEK
            - VISIT_DURATION
            - WEATHER_CODE
            - DAY
            - TEMPERATURE
            - NUMBER_VISITS
            - FIRST_REFERRER_URL
            - KEY_PAGE
            - TARGETING_SEGMENT
            - TIME_SINCE_PREVIOUS_VISIT
            - COUNTRY
            - REGION
            - CITY
            - LANGUAGE
            - LANDING_PAGE
            - REFERRER
            - LOCALE_LANGUAGE_CODE
            - PERSONALIZATION_UNEXPOSITION_CAUSE
            - CROSS_CAMPAIGN
            - SDK
            - SDK_VERSION
            - INTERVAL
            - CONVERSION_METADATA
      description: Breakdown request argument for splitting data
      discriminator:
        propertyName: breakdownType
    ConversionMetadataBreakdownIO:
      required:
        - metadatas
      type: object
      allOf:
        - $ref: '#/components/schemas/Breakdown'
        - type: object
          properties:
            metadatas:
              type: array
              description: The list of goal id and index of the custom data
              items:
                $ref: '#/components/schemas/ConversionMetadata'
    CrossCampaignBreakdownIO:
      type: object
      allOf:
        - $ref: '#/components/schemas/Breakdown'
        - type: object
          properties:
            experiments:
              type: array
              description: >-
                Experiment IDs of the experiments to use to segment the data.
                Could be empty if personalizations field is specified.
              items:
                type: integer
                description: >-
                  Experiment IDs of the experiments to use to segment the data.
                  Could be empty if personalizations field is specified.
                format: int32
            personalizations:
              type: array
              description: >-
                Personalization IDs of the personalizations to use to segment
                the data. Could be empty if experiments field is specified.
              items:
                type: integer
                description: >-
                  Personalization IDs of the personalizations to use to segment
                  the data. Could be empty if experiments field is specified.
                format: int32
    CustomDatumBreakdownIO:
      required:
        - index
      type: object
      allOf:
        - $ref: '#/components/schemas/Breakdown'
        - type: object
          properties:
            index:
              type: integer
              description: The index of the custom data to use to segment the data.
              format: int32
    IntervalBreakdownIO:
      type: object
      allOf:
        - $ref: '#/components/schemas/Breakdown'
        - type: object
          properties:
            interval:
              type: string
              description: >-
                Date interval type to use to segment the data. Possible values:
                HOUR, DAY, WEEK, MONTH, YEAR
              enum:
                - MINUTE
                - HOUR
                - DAY
                - WEEK
                - MONTH
                - YEAR
    DateInterval:
      type: object
      properties:
        start:
          type: string
          description: Start timestamp
          format: date-time
        end:
          type: string
          description: End timestamp
          format: date-time
      description: Timestamps interval without timezone
    AdBlockerFilter:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
    BrowserFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - CHROME
                  - EDGE
                  - FIREFOX
                  - SAFARI
                  - OPERA
                  - OTHERS
            include:
              type: boolean
    BrowserLanguageFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - AB
                  - AA
                  - AF
                  - AK
                  - SQ
                  - AM
                  - AR
                  - AN
                  - HY
                  - AS
                  - AV
                  - AE
                  - AY
                  - AZ
                  - BM
                  - BA
                  - EU
                  - BE
                  - BN
                  - BH
                  - BI
                  - BS
                  - BR
                  - BG
                  - MY
                  - CA
                  - CH
                  - CE
                  - NY
                  - ZH
                  - CV
                  - KW
                  - CO
                  - CR
                  - HR
                  - CS
                  - DA
                  - DV
                  - NL
                  - DZ
                  - EN
                  - EO
                  - ET
                  - EE
                  - FO
                  - FJ
                  - FI
                  - FR
                  - FF
                  - GL
                  - KA
                  - DE
                  - EL
                  - GN
                  - GU
                  - HT
                  - HA
                  - HE
                  - HZ
                  - HI
                  - HO
                  - HU
                  - IA
                  - ID
                  - IE
                  - GA
                  - IG
                  - IK
                  - IO
                  - IS
                  - IT
                  - IU
                  - JA
                  - JV
                  - KL
                  - KN
                  - KR
                  - KS
                  - KK
                  - KM
                  - KI
                  - RW
                  - KY
                  - KV
                  - KG
                  - KO
                  - KU
                  - KJ
                  - LA
                  - LB
                  - LG
                  - LI
                  - LN
                  - LO
                  - LT
                  - LU
                  - LV
                  - GV
                  - MK
                  - MG
                  - MS
                  - ML
                  - MT
                  - MI
                  - MR
                  - MH
                  - MN
                  - NA
                  - NV
                  - ND
                  - NE
                  - NG
                  - NB
                  - NN
                  - 'NO'
                  - II
                  - NR
                  - OC
                  - OJ
                  - CU
                  - OM
                  - OR
                  - OS
                  - PA
                  - PI
                  - FA
                  - PL
                  - PS
                  - PT
                  - QU
                  - RM
                  - RN
                  - RO
                  - RU
                  - SA
                  - SC
                  - SD
                  - SE
                  - SM
                  - SG
                  - SR
                  - GD
                  - SN
                  - SI
                  - SK
                  - SL
                  - SO
                  - ST
                  - ES
                  - SU
                  - SW
                  - SS
                  - SV
                  - TA
                  - TE
                  - TG
                  - TH
                  - TI
                  - BO
                  - TK
                  - TL
                  - TN
                  - TO
                  - TR
                  - TS
                  - TT
                  - TW
                  - TY
                  - UG
                  - UK
                  - UR
                  - UZ
                  - VE
                  - VI
                  - VO
                  - WA
                  - CY
                  - WO
                  - FY
                  - XH
                  - YI
                  - YO
                  - ZA
                  - ZU
            include:
              type: boolean
    ContaminatedVisitorFilter:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
    ConversionMetadataFilter:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            goalId:
              type: integer
              format: int64
            index:
              type: integer
              format: int32
            value:
              type: string
    ConversionsFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: integer
                format: int64
            include:
              type: boolean
    CustomDataFilter:
      required:
        - customDataId
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            customDataId:
              type: integer
              format: int64
            value:
              type: string
    DayFilter:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            include:
              type: boolean
    DeviceTypeFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - DESKTOP
                  - TABLET
                  - PHONE
                  - OTHERS
            include:
              type: boolean
    ExperimentDataFilter:
      required:
        - id
        - variationIds
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            id:
              type: integer
              format: int64
            variationIds:
              uniqueItems: true
              type: array
              items:
                type: integer
                format: int64
            include:
              type: boolean
    FirstReferrerFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: integer
                format: int32
            include:
              type: boolean
    KeyPageFilter:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: integer
                format: int32
            include:
              type: boolean
    LandingPageURLFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
            include:
              type: boolean
    NewVisitorFilter:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            visitorsType:
              type: string
              enum:
                - NEW_VISITORS
                - RETURNING_VISITORS
    NumberPagesFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer'
    NumberVisitsFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer1'
            include:
              type: boolean
    OperatingSystemFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - WINDOWS
                  - MAC_OS
                  - I_OS
                  - LINUX
                  - ANDROID
                  - WINDOWS_PHONE
                  - OTHERS
            include:
              type: boolean
    PageTitleFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
            include:
              type: boolean
    PageURLFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
            include:
              type: boolean
    PersonalizationDataFilter:
      required:
        - id
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            id:
              type: integer
              format: int64
            exposition:
              type: string
              enum:
                - ALL
                - EXPOSED
                - NOT_EXPOSED
            include:
              type: boolean
    ReferrerURLFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
            include:
              type: boolean
    SdkFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            values:
              uniqueItems: true
              type: array
              items:
                type: string
                enum:
                  - JAVA
                  - ANDROID
                  - GO
                  - DOTNET
                  - PYTHON
                  - RUBY
                  - IOS
                  - PHP
                  - JAVASCRIPT
                  - NODEJS
                  - REACT
                  - RUST
    SinceLastVisitFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer1'
            include:
              type: boolean
    TargetingSegmentFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: integer
                format: int64
            include:
              type: boolean
    TemperatureFilter:
      required:
        - from
        - param
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            from:
              type: integer
              format: int32
            include:
              type: boolean
            param:
              type: string
              enum:
                - GREATER
                - LOWER
                - EQUAL
                - BETWEEN
            to:
              type: integer
              format: int32
    TimeSlotFilter:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            visitorCalendar:
              type: boolean
            values:
              type: array
              items:
                type: array
                items:
                  type: string
    TimeSpentFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer1'
            include:
              type: boolean
    TrafficFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            values:
              type: array
              items:
                type: string
                enum:
                  - SEO
                  - DIRECT
                  - SEM
                  - EMAIL
                  - AFFILIATION
    WeatherFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - CLEAR_SKY
                  - CLOUDS
                  - RAIN
                  - THUNDERSTORM
                  - SNOW
                  - HAIL
                  - WIND
                  - ATMOSPHERIC_DISTURBANCES
            include:
              type: boolean
    WeekdayFilter:
      required:
        - values
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - SUNDAY
                  - MONDAY
                  - TUESDAY
                  - WEDNESDAY
                  - THURSDAY
                  - FRIDAY
                  - SATURDAY
            include:
              type: boolean
            visitorCalendar:
              type: boolean
    ConversionMetadata:
      type: object
      properties:
        goalId:
          type: integer
          format: int64
        index:
          type: integer
          format: int32
      description: The list of goal id and index of the custom data
    Filter:
      required:
        - type
      type: object
      properties:
        type:
          type: string
      description: List of filters to apply to the data included in the report.
      discriminator:
        propertyName: type
    Filter1:
      required:
        - type
      type: object
      properties:
        type:
          type: string
      discriminator:
        propertyName: type
    FilterContainer:
      type: object
      properties:
        param:
          type: string
          enum:
            - GREATER
            - LOWER
            - EQUAL
            - BETWEEN
        value:
          type: integer
          format: int32
        unit:
          type: string
          enum:
            - SECONDS
            - MINUTES
            - HOURS
            - DAYS
            - WEEKS
    FilterContainer1:
      type: object
      properties:
        param:
          type: string
          enum:
            - GREATER
            - LOWER
            - EQUAL
            - EXACT
            - INCLUDE
            - LOWER_OR_EQUAL
            - GREATER_OR_EQUAL
            - 'TRUE'
            - 'FALSE'
            - UNDEFINED
            - BETWEEN
        value:
          type: integer
          format: int32
        unit:
          type: string
          enum:
            - SECONDS
            - MINUTES
            - HOURS
            - DAYS
            - WEEKS
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````